---
layout: documentation
---

{% include base.html %}

# Lutron Binding

This binding integrates with [Lutron](http://www.lutron.com) light control systems.

**Note:** while the integration protocol should be largely similar with other Lutron systems such as Homeworks QS, this binding has only been tested with RadioRa 2.

## Supported Things

This binding currently supports the following thing types:

* dimmer
* switch
* keypad
* occupancysensor

## Discovery

This binding does not support discovery.

## Binding Configuration

This binding does not require any special configuration.

## Thing Configuration

The bridge requires the IP address of the bridge as well as the telnet username and password to log in to the bridge.

```
Thing lutron:ipbridge:radiora2 [ ipAddress="192.168.1.2", user="lutron", password="integration" ]
```

Each Lutron thing requires the integration ID of the corresponding item in the Lutron system. The integration IDs can be retrieved from the integration report generated by the Lutron software. Dimmers can optionally be configured to specify a fade in and fade out time in seconds. In the thing file, this looks e.g. like

```
Thing lutron:dimmer:livingroom (lutron:ipbridge:radiora2) [ integrationId=8, fadeInTime=0.5, fadeOutTime=5 ]
```

## Channels

The following channels are supported:

| Thing Type      | Channel Type ID   | Item Type    | Description                                  |
|-----------------|-------------------|--------------|--------------------------------------------- |
| dimmer          | lightlevel        | Dimmer       | Increase/decrease the light level            |
| switch          | switchstatus      | Switch       | On/off status of the switch                  |
| occupancysensor | occupancystatus   | Switch       | Occupancy status                             |
| keypad          | button1           | Switch       | Button to trigger a scene or rule            |
| keypad          | button2           | Switch       | Button to trigger a scene or rule            |
| keypad          | button3           | Switch       | Button to trigger a scene or rule            |
| keypad          | button4           | Switch       | Button to trigger a scene or rule            |
| keypad          | button5           | Switch       | Button to trigger a scene or rule            |
| keypad          | button6           | Switch       | Button to trigger a scene or rule            |
| keypad          | button7           | Switch       | Button to trigger a scene or rule            |
| keypad          | buttontopraise    | Switch       | Button to trigger a scene or rule            |
| keypad          | buttontoplower    | Switch       | Button to trigger a scene or rule            |
| keypad          | buttonbottomraise | Switch       | Button to trigger a scene or rule            |
| keypad          | buttonbottomlower | Switch       | Button to trigger a scene or rule            |
| keypad          | led1              | Switch       | LED indicator for the associated button      |
| keypad          | led2              | Switch       | LED indicator for the associated button      |
| keypad          | led3              | Switch       | LED indicator for the associated button      |
| keypad          | led4              | Switch       | LED indicator for the associated button      |
| keypad          | led5              | Switch       | LED indicator for the associated button      |
| keypad          | led6              | Switch       | LED indicator for the associated button      |
| keypad          | led7              | Switch       | LED indicator for the associated button      |

Currently there is only one keypad thing type to cover all keypads. Not all channels will be available on all keypads.

## Full Example

demo.Things:

```
lutron:dimmer:theater (lutron:ipbridge:radiora2) [ integrationId=8, fadeOutTime=2 ]
lutron:occupancysensor:theater (lutron:ipbridge:radiora2) [ integrationId=9 ]
lutron:keypad:theater (lutron:ipbridge:radiora2) [ integrationId=10 ]
```

demo.items:

```
Dimmer TheaterLights { channel="lutron:dimmer:theater:lightlevel" }
Switch TheaterMotion { channel="lutron:occupancysensor:theater:occupancystatus" }
Switch TheaterScene1 { channel="lutron:keypad:theater:button1" }
Switch TheaterScene2 { channel="lutron:keypad:theater:button2" }
```
